QGIS Application - Feature request #9126
Extend layer window with toolbar
2013-11-26 03:53 AM - Noone Noone

Status: Open

Priority: Normal

Assignee:

Category: GUI

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 17763
Description

Currently tools that are related to the layer widget are only within the context menu of layers. This is bad, as
- they are 'hidden' by default
- they don't refer to the current clicked layer, but to all layers (more specific: the layer list itself)

So | suggest to move the expand/collapse/add group feature to a smal toolbar at the top of the layer window. You might have a look how
the Eclipse team designed it:
leclipse outline window.png!

History

#1 - 2014-03-26 07:12 AM - Noone Noone
- File gimp_layer_window.png added

Also a layer visibility/opacity/composition options would be nice, as they can then moved here from the layer properties dialog.

#2 - 2014-03-28 12:46 PM - Anita Graser

For a thorough discussion of a legend revamp please see
http://osgeo-org.1560.x6.nabble.com/Vienna-hackfest-QGIS-Legend-discussion-td5131063.html and get involved.

#3 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

Files
eclipse_outline_window.png 33.2KB 2013-11-26 Noone Noone
gimp_layer_window.png 47.3 KB 2014-03-26 Noone Noone
